CREATE TABLE fun_parallel_setup_phase_sqls (
    PARALLEL_SQL_ID          NUMBER(18, 0) ,
    PARALLEL_PHASE_ID        NUMBER(18, 0)     NOT NULL,
    TARGET_PHASE_ID          NUMBER(18, 0)     NOT NULL,
    PROCESSING_ORDER_NUM     NUMBER(3, 0)      NOT NULL,
    SQL_TEXT                 CLOB              NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    PARALLEL_SQL_ID          NUMBER(18, 0) ,
    PARALLEL_PHASE_ID        NUMBER(18, 0)     NOT NULL,
    TARGET_PHASE_ID          NUMBER(18, 0)     NOT NULL,
    PROCESSING_ORDER_NUM     NUMBER(3, 0)      NOT NULL,
    SQL_TEXT                 CLOB              NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_parallel_setup_phase_sqls PRIMARY KEY (PARALLEL_SQL_ID, PARALLEL_SQL_ID)
);
